<?php

/**
 *
 *
 * Zenbership Membership Software
 * Copyright (C) 2013-2016 Castlamp, LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author      Castlamp
 * @link        http://www.castlamp.com/
 * @link        http://www.zenbership.com/
 * @copyright   (c) 2013-2016 Castlamp
 * @license     http://www.gnu.org/licenses/gpl-3.0.en.html
 * @project     Zenbership Membership Software
 */

$def_lang = $db->get_option('language');

if (! empty($_POST['lang'])) {
    $lang = $_POST['lang'];
} else {
    $lang = $def_lang;
}

$type = 'page';
if (! empty($_POST['id'])) {

    $changes = array();
    $header = new template('header', $changes, '0', '', '', '', '2');
    $footer = new template('footer', $changes, '0', '', '', '', '2');

    $content = new content;
    $data    = $content->get_content($_POST['id']);

    $meta_title = $data['template']['meta_title'];
    if (! empty($_POST['lang']) && $_POST['lang'] != $def_lang) {
        $data['template']['content'] = $header . $content->language_content($_POST['id'], $lang) . $footer;
        $meta_title = $content->language_title($_POST['id'], $lang);
    } else {
        $data['template']['content'] = $header . $data['template']['content'] . $footer;
    }
    if ($data['error'] == '1') {
        $admin->show_popup_error($data['error_details']);
        exit;
    } else {
        $cid     = $_POST['id'];
        $editing = '1';
    }
} else {

    // contentsCss : 'http://cheaper.com.hk/admin/try.css'
    // Template
    if (empty($_POST['template_selected'])) {
        $templ = 'default_page';
    } else {
        $templ = $_POST['template_selected'];
    }
    $changes = array();
    $template = new template($templ, $changes, '1', '', '', '', '2');

    $temp_data = '';
    $data      = array(
        'name'            => '',
        'template'        => array(
            'content' => $template,
            'secure'  => '0',
            'section' => '',
            'encrypt' => '0',
        ),
        'menus'           => array(),
        'permalink'       => '',
        'display_on_usercp' => '0',
        'permalink_clean' => '',
        'full_link'       => PP_URL,
    );
    $meta_title = '';
    $cid       = 'new';
    $editing   = '0';
}

?>


<script type="text/javascript">
    $.ctrl('S', function () {
        return json_add('content-page-add', '<?php echo $cid; ?>', '<?php echo $editing; ?>', 'popupform');
    });
</script>

<script src="js/form_rotator.js" type="text/javascript"></script>
<form action="" method="post" id="popupform"
      onsubmit="return json_add('content-page-add','<?php echo $cid; ?>','<?php echo $editing; ?>','popupform');">

<div id="popupsave">
    <?php
    if (! empty($_POST['id'])) {
    ?>
    <input type="submit" value="Grant Access From Criteria" onclick="return switch_popup('build_criteria','type=member&act=content_access&act_id=<?php echo $cid; ?>','');" />
    <?php
    }
    ?>
    <input type="button" onclick="return switch_popup('content_type','','1');" value="Back to Content Creation"/>
    <input type="submit" value="Save" class="save"/>
    <input type="hidden" name="type" value="<?php echo $type; ?>"/>
    <input type="hidden" name="lang" value="<?php echo $lang; ?>"/>
</div>

<h1>Content Management</h1>

    <ul id="theStepList">
        <li class="on" onclick="return goToStep('0');">Content</li>
        <li onclick="return goToStep('1');">Options</li>
    </ul>

<div class="pad24t popupbody">

    <ul id="formlist">
        <li class="form_step">

    <fieldset>
        <legend>Basic Details</legend>
        <div class="pad24t">

            <div class="field">
                <label>Section</label>
                <div class="field_entry">
                    <select name="section" id="section" style="width:300px;">
                        <?php
                        echo $admin->get_sections($data['template']['section']);
                        ?>
                    </select>
                </div>
            </div>

            <div class="field">
                <label>Name</label>
                <div class="field_entry">
                    <input type="text" name="name" class="req" id="name" style="width:300px;"
                           value="<?php echo $data['name']; ?>"/>
                </div>
            </div>

            <div class="field">
                <label>Permalink</label>
                <div class="field_entry">
                    <input type="text" onkeyup="return check_permalink();" name="permalink" class="req" id="permalink"
                           style="width:300px;" value="<?php echo $data['permalink_clean']; ?>"/>
                    <p class="field_desc" id="preview_permalink"><?php echo $data['full_link']; ?></p>
                </div>
            </div>

        </div>
    </fieldset>


    <fieldset id="page">
        <legend>Page</legend>
        <div class="pad24t">

            <div class="float_right"><?php
                if (! empty($_POST['id'])) {
                    foreach ($def_languages as $code => $name) {
                        echo "<span class=\"language_option\"><a href=\"null.php\" onclick=\"return switch_popup('content-add-page','id=" . $_POST['id'] . "&lang=" . $code . "');\">$name</a></span>";
                    }
                }
            ?></div>

            <div class="field">
                <label class="top">Content (Editing Language: <?php echo $lang; ?>)</label>
                <div class="clear"></div>
                <div class="field_entry_top">
                    <textarea name="template" class="richtext" id="content_data"
                              style="width:100%;height:400px;"><?php echo $data['template']['content']; ?></textarea>
                    <?php
                    // Not working for some reason...
                    echo $admin->richtext('100%', '600px', 'content_data');
                    ?>
                </div>
            </div>

            <div class="floatright smaller"><input type="submit" value="Preview Page" onclick="return preview_template('','');"/></div>
            <div class="clear"></div>

            <!--
            <div class="field">
                <label class="">Use Template</label>
                <div class="field_entry">
                    <select name="template" style="width:300px;">
                    </select>
                </div>
            </div>
            -->

        </div>

    </fieldset>


        </li>
        <li class="form_step">

    <fieldset>
        <legend>Options</legend>
        <div class="pad24t">


            <div class="field">
                <label>Meta Title</label>
                <div class="field_entry">
                    <input type="text" name="meta_title" value="<?php echo $meta_title; ?>" maxlength="65" style="width:300px;" />
                </div>
            </div>

            <div class="field">
                <label>Display in Dashboard?</label>
                <div class="field_entry">
                    <input type="radio" name="display_on_usercp" value="0" <?php if ($data['display_on_usercp'] == '0') {
                        echo " checked=\"checked\"";
                    } ?> /> Display in member dashboard.<br/>

                    <input type="radio" name="display_on_usercp" value="1" <?php if ($data['display_on_usercp'] != '0') {
                        echo " checked=\"checked\"";
                    } ?> /> Do not display in member dashboard.
                </div>
            </div>

            <div class="field">
                <label>Make Secure?</label>
                <div class="field_entry">
                    <input type="radio" name="secure" value="1" <?php if ($data['template']['secure'] == '1') {
                        echo " checked=\"checked\"";
                    } ?> /> Secure: Make this page off limits to non-members.<br/>

                    <input type="radio" name="secure" value="0" <?php if ($data['template']['secure'] != '1') {
                        echo " checked=\"checked\"";
                    } ?> /> Open: anyone can view this page. Note that is the page is placed in a secure section, the
                    member will need access to the section to access this page. This would make it "open within a secure
                    section" rather than secure on its own on top of the secure section.
                </div>
            </div>

            <div class="field">
                <label>Encrypt HTML?</label>
                <div class="field_entry">
                    <input type="radio" name="encrypt" value="1" <?php if ($data['template']['encrypt'] == '1') {
                        echo " checked=\"checked\"";
                    } ?> /> Encrypted Source: recommended only for embedding external content. Please see the documentation for a discussion on this "encryption".<br/>

                    <input type="radio" name="encrypt" value="0" <?php if ($data['template']['encrypt'] != '1') {
                        echo " checked=\"checked\"";
                    } ?> /> Open: recommended in almost all cases.
                </div>
            </div>


            <div class="field"></div>
                <label>Add to Menu?</label>
                <div class="field_entry">
                    <?php
                    echo $admin->get_menus($data['menus']);
                    ?>
                </div>
            </div>
        </div>
    </fieldset>

    </li>
    </ul>

</div>


</form>


<script type="text/javascript">

    function check_permalink() {
        send_data = 'section=' + $('#section').val() + '&id=<?php echo $cid; ?>&permalink=' + $('#permalink').val();
        $.post('cp-functions/preview_permalink.php', send_data, function (theResponse) {
            $('#preview_permalink').html(theResponse);
        });
        return false;
    }

</script>